<div class="description">
	<div class="row">
		<div class="col-sm-12 nokvm-item">
			<div class="item">
				<h4 class="item-title">
					基本属性
					<div class="item-tool dropdown">
						<a class="dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
							<i class="fas fa-bars"></i>
						</a>
						<ul class="dropdown-menu">
							<li><a href="javascript:runAction('boot', '{$_LANG.nokvm_boot}')"><i class="fas fa-play"></i> 开机</a></li>
							<li><a href="javascript:runAction('reboot','{$_LANG.nokvm_reboot}')"><i class="fas fa-sync-alt"></i> 重启</a></li>
							<li><a href="javascript:runAction('shutdown', '{$_LANG.nokvm_shutdown}')"><i class="fas fa-stop"></i> 关机</a></li>
							<li><a href="javascript:changePassword();"><i class="fas fa-key"></i> 修改密码</a></li>
							<li><a href="javascript:runNoVNC('{$info->vnc_pwd}');"><i class="fas fa-laptop-code"></i> VNC 控制台</a></li>
						</ul>
					</div>
				</h4>
				<div class="item-body">
					<dl class="dl-horizontal">
						<dt>主机名称</dt>
						<dd>{$info->name}</dd>
						<dt>所属区域</dt>
						<dd>{$info->area_name}</dd>
						<dt>所在节点</dt>
						<dd>{$info->node_name}</dd>
						<dt>操作系统</dt>
						<dd id="ossystem">{$info->ossystem}</dd>
						<dt>主机状态</dt>
						<dd id="status" class="{$info->status|lower}">
							<span class="icon-status icon-{$info->status|lower}"></span>
							{$info->status}
						</dd>
						<dt>系统密码</dt>
						<dd id="status" class="{$info->status|lower}">
		    				<code class="password" style="font-family: auto;margin-right: 5px;">•••••••••</code>
		    				<i class="fas fa-eye password-show" data-toggle="tooltip" data-placement="bottom" title="{$_LANG.nokvm_ViewPassword}" data-password="{$info->sys_pwd}" style="cursor: pointer;"></i>
		    				<i class="fas fa-eye-slash password-hide" data-toggle="tooltip" data-placement="bottom" title="{$_LANG.nokvm_ViewPassword}" data-password="•••••••••" style="cursor: pointer;display: none;"></i>
						</dd>
					</dl>
				</div>
			</div>
		</div>
		<div class="col-sm-12 nokvm-item">
			<div class="item">
				<h4 class="item-title">配置信息</h4>
				<div class="item-body">
					<dl class="dl-horizontal">
						<dt>核心数量</dt><dd>{$info->core} 核心</dd>
						<dt>实际内存</dt><dd>{$info->memory} MB</dd>
						<dt>数据磁盘</dt><dd>{$info->data_disk_size} GB</dd>
						<dt>安全策略</dt><dd>{$info->secret_group}</dd>
						<dt class="hidden">私网地址</dt><dd class="hidden">{$info->private_ip}</dd>
						<dt>公网地址</dt><dd>{$info->public_ip}</dd>
						<dt>MAC地址</dt><dd>{$info->mac}</dd>
					</dl>
				</div>
			</div>
		</div>
		<div class="col-sm-12 nokvm-item">
			<div class="item">
				<h4 class="item-title">计费信息</h4>
				<div class="item-body" {if $template eq 'six'}style="min-height: 200px;"{/if}>
					<dl class="dl-horizontal">
						{if $showcancelbutton || $packagesupgrade}
							<dd style="padding-left: 0;">
								<div class="row">
								{if $packagesupgrade}
									<div class="col-xs-6">
				                		<a href="upgrade.php?type=package&amp;id={$id}" class="btn btn-xs btn-block btn-primary">{$LANG.upgrade}</a>
									</div>
				                {/if}
									<div class="col-xs-6">
										<a href="clientarea.php?action=cancel&amp;id={$id}" class="btn btn-xs btn-block btn-danger {if $pendingcancellation}disabled{/if}">{if $pendingcancellation}{$LANG.cancellationrequested}{else}{$LANG.clientareacancelrequestbutton}{/if}</a>
									</div>
								</div>
							</dd>
						{/if}
						<dt>{$LANG.clientareahostingregdate}</dt><dd>{$regdate}</dd>
						<dt>{$LANG.clientareahostingnextduedate}</dt><dd>{$nextduedate}</dd>
						<dt>{$LANG.orderbillingcycle}</dt><dd>{$billingcycle}</dd>
						{if $billingcycle != $LANG.orderpaymenttermonetime && $billingcycle != $LANG.orderfree}
						<dt>{$LANG.recurringamount}</dt><dd>{$recurringamount}</dd>
						{/if}
						<dt>{$LANG.orderpaymentmethod}</dt><dd>{$paymentmethod}</dd>
						{if $firstpaymentamount neq $recurringamount}
						<dt>{$LANG.firstpaymentamount}</dt><dd>{$firstpaymentamount}</dd>
						{/if}
					</dl>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="newPassword" style="display: none;">
	<form class="form-inline" style="padding: 20px;">
		<div class="form-group">
			<input type="text" class="form-control newpassword" style="height: 34px;margin-right: 5px;" placeholder="请输入新的系统密码">
		</div>
		<button type="button" class="btn btn-sm btn-primary btn-newpwd">生成</button>
	</form>
	<script type="text/javascript">
	$(function() {
	    
	    $('.btn-newpwd').on('click', function(){
		    
		    $('.newpassword').val($.password(10));
		    
	    });
		
	});
	$.extend({
		password: function (length, special) {
		    var iteration = 0;
		    var password = "";
		    var randomNumber;
		    if(special == undefined){
		        var special = false;
		    }
		    while(iteration < length){
		        randomNumber = (Math.floor((Math.random() * 100)) % 94) + 33;
		        if(!special){
		            if ((randomNumber >=33) && (randomNumber <=47)) { continue; }
		            if ((randomNumber >=58) && (randomNumber <=64)) { continue; }
		            if ((randomNumber >=91) && (randomNumber <=96)) { continue; }
		            if ((randomNumber >=123) && (randomNumber <=126)) { continue; }
		        }
		        iteration++;
		        password += String.fromCharCode(randomNumber);
		    }
		    return password;
		}
	});
	</script>
</div>
<script type="text/javascript">
$(function() {
		
	$('.password-show').click(function() {
	    var password = $(this).data('password');
	    $(this).hide();
	    $('.password').html(password);
	    $('.password-hide').show();
    });
    
    $('.password-hide').click(function() {
	    var password = $(this).data('password');
	    $(this).hide();
	    $('.password').html(password);
	    $('.password-show').show();
    });
	
});

function changePassword() {
	layer.open({
		type: 1,
		title: '修改系统密码',
		content: $('.newPassword').html(),
		closeBtn: 0,
		shade: 0.5,
		btn: ['修改', '取消'],
		yes: function(index, layero) {
			
			var newpassword = $(layero).find('.newpassword').val();
			
			$.ajax({
	            url: 'clientarea.php?action=productdetails&id={$serviceid}&modop=custom&a=ChangePassword',
	            type: 'POST',
	            data: {
		            newpassword: newpassword,
	            },
	            dataType: 'json',
	            beforeSend:function() {
			        layer.msg('正在请求新的密码，请稍后...');
	            },
	            success:function(data) {
		            console.log(data);
					
		            if ( data.status == 'success' ) {
						//layer.alert(data.message + '<br/>新密码：' + data.newpassword);
						layer.msg(data.message);
						
						$('.password').text(data.newpassword);
						
						$('.password-show').data('password', data.newpassword);
			
						layer.closeAll();
						
		            } else {
			            
			            layer.msg(data.message);
		            }
	            }
			});
		}
	});
}

function runAction (type, title) {
	layer.open({
		title: title,
		content: '确定对选中的云主机进行 '+title+'？',
		closeBtn: 0,
		shade: 0.5,
		btn: ['确定', '取消'],
		yes: function(index, layero) {
			
			layer.msg('操作成功');
			
			$.get('clientarea.php?action=productdetails&id={$serviceid}&serveraction=custom&a=' + type);
			
			$.ajax({
	            url: 'clientarea.php?action=productdetails&id={$serviceid}&json',
	            type: 'GET',
	            dataType: 'json',
	            beforeSend:function() {
		            $('#status').addClass(type).html('<span class="preloader"></span>');
	            },
	            success:function(data) {
			        $('#status').addClass(type).html('<span class="icon-status icon-'+data.status.toLowerCase()+'"></span>'+ data.status);
	            }
			});
			
		}
	});
}

function runNoVNC( Password ) {
	layer.open({
		title: 'noVNC',
		shade: 0.5,
		content: 'noVNC 控制台密码： <code>' + Password + '</code><br/>请复制密码开启控制台。', 
		btn: ['启动 noVNC 控制台'],
		yes: function(index, layero) {
			
			layer.msg('控制台正在打开请稍等...');
			
			$.ajax({
	            url: 'clientarea.php?action=productdetails&id={$serviceid}&getVNC',
	            type: 'GET',
	            dataType: 'json',
	            success:function(data) {
					window.open( data , '_blank', 'height=795,width=1024');
	            }
			});
			
			layer.close(index);
		}
	});
}
</script>