<div class="config-title">
	<h4>备份：</h4>
	<a href="javascript:actionBackups('Create', '创建备份');" class="btn btn-default btn-xs" >
		创建备份
	</a>
</div>
<table class="config-main">
	<thead>
		<tr>
			<th>名称</th>
			<th>创建日期</th>
			<th class="text-right">操作</th>
		</tr>
	</thead>
	<tbody class="backupsList">
		{if $backups}
		{foreach $backups as $backup}
		<tr class="backups_{$backup->id}">
			<td>
				{$backup->name}
			</td>
			<td>
				{$backup->created_at|date_format:"%Y-%m-%d %H:%M:%S"}
			</td>
			<td class="text-right">
				<a href="javascript:actionBackups('Restore', '恢复备份', '{$backup->id}');" class="btn btn-xs btn-primary" style="margin-right: 5px;">恢复</a>
				<a href="javascript:actionBackups('Delete', '删除备份', '{$backup->id}');" class="btn btn-xs btn-danger">删除</a>
			</td>
			</td>
		</tr>
		{/foreach}
		{else}
		<tr class="nodata">
			<td colspan="3" class="text-center">
				暂无任何备份
			</td>
		</tr>
		{/if}
	</tbody>
</table>

<script>
function actionBackups(request, title, sID = null) {
	layer.open({
		title: title,
		content: '确定对选中的云主机进行'+ title +'吗？',
		closeBtn: 0,
		shade: 0.5,
		btn: ['确定', '取消'],
		yes: function(index, layero) {
			$.ajax({
	            url: 'clientarea.php?action=productdetails&id={$serviceid}&modop=custom&a=actionBackups',
	            type: 'POST',
				data: { request: request, sID: sID },
	            dataType: 'json',
	            beforeSend:function() {
			        layer.msg('正在请求，请稍后...');
	            },
	            success:function(data) {
		            console.log(data);
		            if ( data.status == 'success' ) {
			            switch(request) {
					        case "Create":
					            $('.nodata').remove();
					            $('.backupsList').append('<tr class="backups_'+data.data.id+'"><td>'+data.data.name+'</td><td>'+data.data.created_at+'</td><td class="text-right"><a href="javascript:actionBackups(\'Restore\', \'恢复备份\', \''+data.data.id+'\');" class="btn btn-xs btn-primary" style="margin-right: 5px;">恢复</a><a href="javascript:actionBackups(\'Delete\', \'删除备份\', \''+data.data.id+'\');" class="btn btn-xs btn-danger">删除</a></td></tr>');
					            break;
					        case "Restore":
					            break;
					        case "Delete":
					        	$('.backups_'+sID).remove();
					            break;
					        default:
					            break;
					    }
			            layer.msg(data.message);
		            } else {
			            layer.alert(data.message);
		            }
	            },
	            error:function(data) {
			        layer.alert(data.message);
	            }
			});
		}
	});
}
</script>