<div class="config-title">
	<h4>光驱：</h4>
</div>
<div class="alert alert-info">
	挂载ISO将修改启动顺序改为CD启动，卸载后为硬盘启动
</div>
<table class="config-main">
	<thead>
		<tr>
			<th>名称</th>
			<th>文件描述</th>
			<th class="text-right">操作</th>
		</tr>
	</thead>
	<tbody class="cdrom_list">
		{if $cd_rom}
			{foreach $cd_rom as $cdrom}
			<tr class="cdrom_{$cdrom->id} {if $info->cd_roms_id == $cdrom->id }is_mount{/if}">
				<td>
					{$cdrom->name}
					<span class="label label-primary">当前挂载</span>
				</td>
				<td>
					{$cdrom->desc}
				</td>
				<td class="text-right">
					{if $info->cd_roms_id == $cdrom->id }
					<a href="javascript:actionCdRom('unmount', '卸载 {$cdrom->name}', '{$cdrom->id}');" class="btn btn-xs btn-danger">卸载</a>
					{else}
					<a href="javascript:actionCdRom('mount', '挂载 {$cdrom->name}', '{$cdrom->id}');" class="btn btn-xs btn-primary"style="margin-left: 5px">挂载</a>
					{/if}
				</td>
			</tr>
			{/foreach}
		{else}
		<tr>
			<td colspan="4" class="text-center">
				暂无任何媒介
			</td>
		</tr>
		{/if}
	</tbody>
</table>

<script>
function actionCdRom(type, title, cid = null) {
	layer.open({
		title: title,
		content: '确定对选中的云主机进行'+ title +'吗？',
		closeBtn: 0,
		shade: 0.5,
		btn: ['确定', '取消'],
		yes: function(index, layero) {
			$.ajax({
	            url: 'clientarea.php?action=productdetails&id={$serviceid}&modop=custom&a=actionCdRom',
	            type: 'POST',
				data: { type: type, cid: cid },
	            dataType: 'json',
	            beforeSend:function() {
			        layer.msg('正在请求，请稍后...');
	            },
	            success:function(data) {
		            console.log(data);
		            if ( data.status == 'success' ) {
			            layer.msg(data.message);
			            if ( type == 'mount' ) {
				            $('.cdrom_' + cid ).toggleClass('is_mount');
				            $('.cdrom_' + cid + ' td:last').html('<a href="javascript:actionCdRom(\'unmount\', \''+title+'\', \''+cid+'\');" class="btn btn-xs btn-danger">卸载</a>');
			            } else {
				            $('.cdrom_' + cid ).toggleClass('is_mount');
				            $('.cdrom_' + cid + ' td:last').html('<a href="javascript:actionCdRom(\'mount\', \''+title+'\', \''+cid+'\');" class="btn btn-xs btn-primary">挂载</a>');
				            
			            }
		            } else {
			            layer.alert(data.message);
		            }
	            },
	            error:function(data) {
		            console.log(data);
			        layer.alert(data);
	            }
			});
		}
	});
}
</script>